import { isIdCard } from './Identity/index.js'
import { isPhone } from './isPhone/index.js'
import { isEmail } from './isEmail/index.js'
import { sort,sortObj } from './sortFunc/index.js'
import {
  formatDateOfYMD,
  formatDateOfYMD_C,
  formatDateOfYM,
  formatDateOfYM_C,
} from "./formatDate/index.js";
import {
  getStartAndEndOfWeek,
  getStartAndEndOfLastWeek,
  getStartAndEndOfMonth,
  getStartAndEndOfLastMonth,
  getMonthsAgo,
} from "./Date/index.js";
import { isMobile } from "./DOM/index";
let fanFunc = {
    isIdCard,
    isPhone,
    isEmail,
    sort,
    sortObj,
    formatDateOfYMD,
    formatDateOfYMD_C,
    formatDateOfYM,
    formatDateOfYM_C,
    getStartAndEndOfWeek,
    getStartAndEndOfLastWeek,
    getStartAndEndOfMonth,
    getStartAndEndOfLastMonth,
    getMonthsAgo,
    isMobile,
}
export default fanFunc
