// 适用于数字数组
function sort(arr, type = 1) {
    return arr.sort((a, b) => {
        switch (type) {
            case 1:
                return a - b;
            case 2:
                return b - a;
            case 3:
                return Math.random() - 0.5;
            default:
                return arr;
        }
    })
}
// 按照对象中的某个值进行排序
function sortObj(arr, key, type = 1) {
    return arr.sort((a, b) => {
        switch (type) {
            case 1:
                return a[key] - b[key];
            case 2:
                return b[key] - a[key];
            default:
                return arr;
        }
    })
}

export {
    sort,
    sortObj
}